> For the complete documentation index, see [llms.txt](https://docs-convai.wavy.global/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-convai.wavy.global/channels/facebook.md).

# Facebook Messenger

Integrating your bot with Facebook Messenger is easy, just follow the steps in the wizard!

{% hint style="danger" %}
In order for your Facebook Messenger bot to be publicly available, you will have to go through Facebook's stringent App Review process. You can find steps & best practices for App Review [here](https://developers.facebook.com/docs/apps/review/).
{% endhint %}

## Facebook Messenger Specific Content

In the `Channels > Messenger` section you can define some settings that are specific to Facebook Messenger.

### Greeting Message

The greeting message is what will first be shown when the bot is opened by a user. In the example below, the greeting message is configure to `Timeless apparel for the masses`.

#### Personalization

You can personalize the greeting text using the person's name. You can use the following template strings:

* `{{user_first_name}}`
* `{{user_last_name}}`
* `{{user_full_name}}`

![](/files/-MFgECzaMHVD2b23C10X)

### Get Started Button

Facebook has a `Get Started` button attached to every page. Clicking on that button routes you to a bot dialog that you can choose here. Typically, this is a bot dialog introducing the bot and what it can do.

### Persistent Menu

Both Facebook and the web widget support an overflow menu that is called the `Persistent Menu`. In this menu, you can define common actions that your users can take. Typical examples include for example

* Start over
* Talk to a live agent
* Disable notifications
* Buy product \[XXX]
* Go to \[company] website
* Change Language
* Help

![](/files/-MFgECzcDtOzTDi8oE-j)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-convai.wavy.global/channels/facebook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
